# Class ResourceIcon

java.lang.Object
uk.ac.starlink.vo.ResourceIcon

public class ResourceIcon extends Object
Stores icons used by the VO package.

Since:
  15 Jul 2015
Author:
  Mark Taylor

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Icon`
`ADQL_ADDTAB`
`static final Icon`
`ADQL_CLEAR`
`static final Icon`
`ADQL_COPYTAB`
`static final Icon`
`ADQL_ERROR`
`static final Icon`
`ADQL_FIXUP`
`static final Icon`
`ADQL_INSERTCOLS`
`static final Icon`
`ADQL_INSERTTABLE`
`static final Icon`
`ADQL_REDO`
`static final Icon`
`ADQL_REMOVETAB`
`static final Icon`
`ADQL_TITLETAB`
`static final Icon`
`ADQL_UNDO`
`static final Icon`
`AUTH_NO`
`static final Icon`
`AUTH_NONE`
`static final Icon`
`AUTH_REQNO`
`static final Icon`
`AUTH_YES`
`static final Icon`
`EXTLINK`
`static final Icon`
`NODE_DOC`
`static final Icon`
`NODE_FEATURE`
`static final Icon`
`NODE_FUNCTION`
`static final Icon`
`NODE_SERVICE`
`static final Icon`
`NODE_SIGNATURE`
`static final Icon`
`NODE_TABLE`
`static final ResourceIcon`
`REF`
Sole class instance.
`static final Icon`
`RELOAD`
`static final Icon`
`TLD_CONE`
`static final Icon`
`TLD_REGISTRY`
`static final Icon`
`TLD_SIA`
`static final Icon`
`TLD_SSA`
`static final Icon`
`TLD_TAP`
`static final Icon`
`VO_DOWHAT`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### REF

public static final ResourceIcon REF
Sole class instance. This doesn't do anything but may be useful for referencing members.

### TLD_CONE

public static final Icon TLD_CONE

### TLD_SIA

public static final Icon TLD_SIA

### TLD_SSA

public static final Icon TLD_SSA

### TLD_REGISTRY

public static final Icon TLD_REGISTRY

### TLD_TAP

public static final Icon TLD_TAP

### ADQL_UNDO

public static final Icon ADQL_UNDO

### ADQL_REDO

public static final Icon ADQL_REDO

### ADQL_ADDTAB

public static final Icon ADQL_ADDTAB

### ADQL_COPYTAB

public static final Icon ADQL_COPYTAB

### ADQL_REMOVETAB

public static final Icon ADQL_REMOVETAB

### ADQL_TITLETAB

public static final Icon ADQL_TITLETAB

### ADQL_ERROR

public static final Icon ADQL_ERROR

### ADQL_FIXUP

public static final Icon ADQL_FIXUP

### ADQL_CLEAR

public static final Icon ADQL_CLEAR

### ADQL_INSERTTABLE

public static final Icon ADQL_INSERTTABLE

### ADQL_INSERTCOLS

public static final Icon ADQL_INSERTCOLS

### NODE_SERVICE

public static final Icon NODE_SERVICE

### NODE_TABLE

public static final Icon NODE_TABLE

### NODE_FUNCTION

public static final Icon NODE_FUNCTION

### NODE_FEATURE

public static final Icon NODE_FEATURE

### NODE_SIGNATURE

public static final Icon NODE_SIGNATURE

### NODE_DOC

public static final Icon NODE_DOC

### EXTLINK

public static final Icon EXTLINK

### RELOAD

public static final Icon RELOAD

### AUTH_NO

public static final Icon AUTH_NO

### AUTH_YES

public static final Icon AUTH_YES

### AUTH_REQNO

public static final Icon AUTH_REQNO

### AUTH_NONE

public static final Icon AUTH_NONE

### VO_DOWHAT

public static final Icon VO_DOWHAT